package com.landray.kmss.sys.attachment.jg;

import com.landray.kmss.sys.attachment.model.SysAttMain;
import org.apache.commons.io.IOUtils;
import DBstep.iMsgServer2000;
import com.landray.kmss.common.actions.RequestContext;

public class SysAttJGInsertImageFunction extends AbstractSysAttachmentJGFunction
{
    @Override
    public void execute(final RequestContext request, final iMsgServer2000 MsgObj) throws Exception {
        final String fdId = MsgObj.GetMsgByName("IMAGENAME");
        final SysAttMain sysAttMain = this.getSysAttMain(fdId, null, null, null);
        if (sysAttMain == null) {
            return;
        }
        final String fileName = sysAttMain.getFdFileName();
        String fileType = "jpg";
        if (fileName.lastIndexOf(".") > -1) {
            fileType = fileName.substring(fileName.lastIndexOf(".") + 1, fileName.length());
        }
        final String labelName = MsgObj.GetMsgByName("LABELNAME");
        MsgObj.MsgTextClear();
        MsgObj.SetMsgByName("IMAGETYPE", fileType);
        MsgObj.SetMsgByName("POSITION", labelName);
        MsgObj.MsgFileBody(IOUtils.toByteArray(sysAttMain.getInputStream()));
        MsgObj.SetMsgByName("STATUS", "插入图片成功!");
        MsgObj.MsgError("");
    }
}
